Library Version 18.1.40

DbSite::get_address()
Prev | Chapter 11. Replication Methods | Next

## DbSite::get_address()

    #include <db_cxx.h>

    int
    DbSite::get_address(const char **hostp, u_int *portp);

The `DbSite::get_address()` method returns a replication site's network address. That is, this method returns the site's host name and port.

The `DbSite::get_address()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### hostp

References memory into which is copied a pointer to the internal storage of the host name.

#### portp

References memory into which the port number will be copied.

### Class

DbSite

### See Also

Replication and Related Methods

Prev | Up | Next
DbSite::get_config() | Home | DbSite::get_eid()